aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorStephen Kyle <stephen.kyle@arm.com>2018-09-27 10:00:33 +0100
committerEugene Kliuchnikov <eustas@google.com>2018-09-27 11:00:33 +0200
commit67f059eaf5eb6cf9201ffe7776b48229a442d864 (patch)
tree0c92d35c51c1194bd3ac5fee0afc65547e42eec1 /scripts
parent6eba239a5bb553fd557b7d78f7da8f0059618b9e (diff)
downloadbrotli-67f059eaf5eb6cf9201ffe7776b48229a442d864.zip
brotli-67f059eaf5eb6cf9201ffe7776b48229a442d864.tar.gz
brotli-67f059eaf5eb6cf9201ffe7776b48229a442d864.tar.bz2
Cross compilation support (#709)
* build: add cross-compilation support to make Set CROSS_COMPILE when running make to use the selected cross compilation toolchain, such as arm-linux-gnueabihf, or aarch64-linux-gnu. Testing requires the presence of qemu - 'qemu-$(ARCH)' will be executed, where ARCH is the first part of the toolchain triplet. * build: add cross-compilation support to cmake If C_COMPILER/CXX_COMPILER/CC/CXX are found to have cross-compilation triplets in front of the compiler, then qemu will be used to execute the tests. * CI: add arm-linux-gnueabihf-gcc builder to Travis The version of qemu available in Ubuntu trusty (as provided by Travis) appears to have a bug in qemu-aarch64, which leads to the compatibility tests failing on some inputs, erroneously rejecting the input as corrupt. Once Travis supports xenial, we could add an aarch64-gnu-linux-gcc builder as well. * CI: propagate cmake errors out of .travis.sh Seems like even if cmake fails, the error isn't picked up by Travis.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/.travis.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/.travis.sh b/scripts/.travis.sh
index 6387e22..367cdfa 100755
--- a/scripts/.travis.sh
+++ b/scripts/.travis.sh
@@ -40,9 +40,9 @@ case "$1" in
if [ "${CROSS_COMPILE}" = "yes" ]; then
CMAKE_FLAGS="-DCMAKE_FIND_ROOT_PATH_MODE_PROGRAM=NEVER -DCMAKE_FIND_ROOT_PATH_MODE_LIBRARY=ONLY -DCMAKE_FIND_ROOT_PATH_MODE_INCLUDE=ONLY -DCMAKE_SYSTEM_NAME=Windows -DCMAKE_RC_COMPILER=${RC_COMPILER}"
fi
- cmake ${CMAKE_FLAGS} -DCMAKE_C_COMPILER="$CC" -DCMAKE_CXX_COMPILER="$CXX" -DENABLE_SANITIZER="${SANITIZER}" -DCMAKE_C_FLAGS="${CFLAGS}" ..
- make VERBOSE=1
- ctest -V
+ cmake ${CMAKE_FLAGS} -DCMAKE_C_COMPILER="$CC" -DCMAKE_CXX_COMPILER="$CXX" -DENABLE_SANITIZER="${SANITIZER}" -DCMAKE_C_FLAGS="${CFLAGS}" .. || exit 1
+ make VERBOSE=1 || exit 1
+ ctest -V || exit 1
;;
"python")
python setup.py test